<div *ngIf="!message.isRead; else read" class="p-3 mb-2 text-light bg-dark rounded" (click)="readMessage()">
  <h5 class="mb-0 text-center">
    Subject: {{message.subject}} // Content: {{message.content}}
  </h5>
</div>

<ng-template #read>
  <div class="p-3 mb-2 text-light bg-secondary rounded">
    <h5 class="mb-0 text-center">
      Subject: {{message.subject}} // Content: {{message.content}}
    </h5>
    <div class="d-flex justify-content-center mt-3">
      <div class="w-100">
        <app-deletemessage (click)="deleteMessage()"></app-deletemessage>
      </div>
    </div>
  </div>
</ng-template>
